Subject: [ETI Informal All 1AD.04.11.04] Who said he was a prophet in Revelation 22
From: "James R @ ETIMin" <[email-masked]>
To: "Lists @ ETI Min" <[email-masked]>
Date: Tue, 23 Nov 2004 17:44:06 +0200

Greetings

Some years ago i noticed an interesting pattern in Revelation 22.

It is highlighted below for your consideration:

Revelation 22:1-21 -- with comments

1 And he shewed me a pure river of water of life, clear as crystal, proceeding out of the throne of Yah {God} and of the Lamb.
2 In the midst of the street of it, and on either side of the river, was there the tree of life, which bare twelve manner of fruits, and yielded her fruit every month: and the leaves of the tree were for the healing of the nations.
3 And there shall be no more curse: but the throne of Yah {God} and of the Lamb shall be in it; and his servants shall serve him:
4 And they shall see his face; and his name shall be in their foreheads.
5 And there shall be no night there; and they need no candle, neither light of the sun; for the Lord Yah {God} giveth them light: and they shall reign for ever and ever.
6 And he said unto me, These sayings are faithful and true: and the Lord Yah {God} of the holy prophets sent his angel to shew unto his servants the things which must shortly be done.
7 Behold, I come quickly: blessed is he that keepeth the sayings of the prophecy of this book.

  The speaker says "I" come quickly

8 And I John saw these things, and heard them. And when I had heard and seen, I fell down to worship before the feet of the angel which shewed me these things.

  In this translation the speaker is here identified as an "angel" but in the next verse the speaker refers to himself as one of the prophets.

9 Then saith he unto me, See thou do it not: for I am thy fellowservant, and of thy brethren the prophets, and of them which keep the sayings of this book: worship Yah {God}.

  The same speaker who says he is coming quickly tells the writer {Yahoochanan} NOT to worship the speaker because the speaker is one of the brethren, a prophet and a fellowservant.

10 And he saith unto me, Seal not the sayings of the prophecy of this book: for the time is at hand.
11 He that is unjust, let him be unjust still: and he which is filthy, let him be filthy still: and he that is righteous, let him be righteous still: and he that is set apart {holy}, let him be set apart {holy} still.
12 And, behold, I come quickly; and my reward is with me, to give every man according as his work shall be.
13 I am Alpha and Omega, the beginning and the end, the first and the last.

  The speaker again says he is coming quickly, that his reward is with him, that he is the Alpha and Omega and the beginning and the end and the first and the last

14 Blessed are they that do his commandments, that they may have right to the tree of life, and may enter in through the gates into the city.
15 For without are dogs, and sorcerers, and whoremongers, and murderers, and idolaters, and whosoever loveth and maketh a lie.
16 I Yahooshua {Jesus} have sent mine angel to testify unto you these things in the assemblies {churches}. I am the root and the offspring of David, and the bright and morning star.

  Here the speaker explicitly identifies himself as Yahooshua and identifies himself as the root and offspring of David and the bright and morning star and says that he has sent is angel to testify -- if anything this poses some challenges with regard to the meaning of the word translated "angel" but it is entirely clear that it is Yahooshua who is speaking to Yahoochanan (John).

17 And the Spirit and the bride say, Come. And let him that heareth say, Come. And let him that is athirst come. And whosoever will, let him take the water of life freely.
18 For I testify unto every man that heareth the words of the prophecy of this book, If any man shall add unto these things, Yah {God} shall add unto him the plagues that are written in this book:
19 And if any man shall take away from the words of the book of this prophecy, Yah {God} shall take away his part out of the book of life, and out of the holy city, and from the things which are written in this book.
20 He which testifieth these things saith, Surely I come quickly. Amen. Even so, come, Lord Yahooshua {Jesus}.

  The speaker AGAIN says that he is coming quickly and the writer states that the speaker is Yahooshua

21 The grace of our Lord Yahooshua the Anointed of Yah {Jesus Christ} be with you all. Amen. (KJV, names corrected)

There is no question that the speaker throughout this passage is Yahooshua and that Yahooshua EXPLICITLY states that he is a prophet, a human being (brethren) and that we are NOT to worship him.

There are some challenges relating to the word translated angel but these do not in any way detract from the speaker being Yahooshua nor do they detract from the fact that Yahooshua states that he is a prophet and a member of the brethren.

Warm regards and blessings

James

James Robertson
END TIME ISSUE MINISTRIES

Please forward as you deem appropriate.

Email: [email-masked]
Tel: ++27-(0)11-791-2327
Cell ++27 (0)83-251-6644
Web Site: www.ETIMin.org

P O Box 4206, Randburg, 2125, Republic of South Africa